package com.ejie.aa21b.model;

/**
 * Aa21bServiciosTiposFases  
 * 
 *  
 */

public class Aa21bServiciosTiposFases implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String CServ13;
	private String DServ13;
	private String EServ13;
	private String situ13;

	private String ctipoe02;
	private String ctrami02;
	private String dtipoe02;
	private String etipoe02;
	private String situ02;

	private Long cfase01;
	private String dfase01;
	private String efase01;
	private String codPid01;
	private String tdocu01;
	private String situ01;
	private String ictipoe02Text;

	public String getIctipoe02Text() {
		return ictipoe02Text;
	}

	public void setIctipoe02Text(String ictipoe02Text) {
		this.ictipoe02Text = ictipoe02Text;
	}

	/**
	 * 
	 */
	public Aa21bServiciosTiposFases() {

	}

	/**
	 * 
	 * @param CServ13
	 *            String
	 * @param DServ13
	 *            String
	 * @param EServ13
	 *            String
	 * @param situ13
	 *            String
	 * @param ctipoe02
	 *            String
	 * @param ctrami02
	 *            String
	 * @param dtipoe02
	 *            String
	 * @param etipoe02
	 *            String
	 * @param situ02
	 *            String
	 * @param cfase01
	 *            Long
	 * @param dfase01
	 *            String
	 * @param efase01
	 *            String
	 * @param codPid01
	 *            Long
	 * @param tdocu01
	 *            String
	 * @param situ01
	 *            String
	 */
	public Aa21bServiciosTiposFases(String CServ13, String DServ13,
			String EServ13, String situ13, String ctipoe02, String ctrami02,
			String dtipoe02, String etipoe02, String situ02, Long cfase01,
			String dfase01, String efase01, String codPid21, String tdocu01,
			String situ01) {

		this.CServ13 = CServ13;
		this.DServ13 = DServ13;
		this.EServ13 = EServ13;
		this.situ13 = situ13;
		this.ctipoe02 = ctipoe02;
		this.ctrami02 = ctrami02;
		this.dtipoe02 = dtipoe02;
		this.etipoe02 = etipoe02;
		this.situ02 = situ02;
		this.cfase01 = cfase01;
		this.dfase01 = dfase01;
		this.efase01 = efase01;
		this.codPid01 = codPid21;
		this.tdocu01 = tdocu01;
		this.situ01 = situ01;
	}

	/**
	 * Method 'getCServ13'.
	 * 
	 * @return String
	 */

	public String getCServ13() {
		return CServ13;
	}

	/**
	 * Method 'setCServ13'.
	 * 
	 * @param cServ13
	 *            String
	 * @return
	 */
	public void setCServ13(String cServ13) {
		CServ13 = cServ13;
	}

	/**
	 * Method 'getDServ13'.
	 * 
	 * @return String
	 */

	public String getDServ13() {
		return DServ13;
	}

	/**
	 * Method 'setDServ13'.
	 * 
	 * @param dServ13
	 *            String
	 * @return
	 */
	public void setDServ13(String dServ13) {
		DServ13 = dServ13;
	}

	/**
	 * Method 'getEServ13'.
	 * 
	 * @return String
	 */

	public String getEServ13() {
		return EServ13;
	}

	/**
	 * Method 'setEServ13'.
	 * 
	 * @param eServ13
	 *            String
	 * @return
	 */
	public void setEServ13(String eServ13) {
		EServ13 = eServ13;
	}

	/**
	 * Method 'getSitu13'.
	 * 
	 * @return String
	 */

	public String getSitu13() {
		return situ13;
	}

	/**
	 * Method 'setSitu13'.
	 * 
	 * @param situ13
	 *            String
	 * @return
	 */
	public void setSitu13(String situ13) {
		this.situ13 = situ13;
	}

	/**
	 * Method 'getCtipoe02'.
	 * 
	 * @return String
	 */

	public String getCtipoe02() {
		return ctipoe02;
	}

	/**
	 * Method 'setCtipoe02'.
	 * 
	 * @param ctipoe02
	 *            String
	 * @return
	 */
	public void setCtipoe02(String ctipoe02) {
		this.ctipoe02 = ctipoe02;
	}

	/**
	 * Method 'getCtrami02'.
	 * 
	 * @return String
	 */

	public String getCtrami02() {
		return ctrami02;
	}

	/**
	 * Method 'setCtrami02'.
	 * 
	 * @param ctrami02
	 *            String
	 * @return
	 */
	public void setCtrami02(String ctrami02) {
		this.ctrami02 = ctrami02;
	}

	/**
	 * Method 'getDtipoe02'.
	 * 
	 * @return String
	 */

	public String getDtipoe02() {
		return dtipoe02;
	}

	/**
	 * Method 'setDtipoe02'.
	 * 
	 * @param dtipoe02
	 *            String
	 * @return
	 */
	public void setDtipoe02(String dtipoe02) {
		this.dtipoe02 = dtipoe02;
	}

	/**
	 * Method 'getEtipoe02'.
	 * 
	 * @return String
	 */

	public String getEtipoe02() {
		return etipoe02;
	}

	/**
	 * Method 'setEtipoe02'.
	 * 
	 * @param etipoe02
	 *            String
	 * @return
	 */
	public void setEtipoe02(String etipoe02) {
		this.etipoe02 = etipoe02;
	}

	/**
	 * Method 'getSitu02'.
	 * 
	 * @return String
	 */

	public String getSitu02() {
		return situ02;
	}

	/**
	 * Method 'setSitu02'.
	 * 
	 * @param situ02
	 *            String
	 * @return
	 */
	public void setSitu02(String situ02) {
		this.situ02 = situ02;
	}

	/**
	 * Method 'getCfase01'.
	 * 
	 * @return Long
	 */

	public Long getCfase01() {
		return cfase01;
	}

	/**
	 * Method 'setCfase01'.
	 * 
	 * @param cfase01
	 *            Long
	 * @return
	 */
	public void setCfase01(Long cfase01) {
		this.cfase01 = cfase01;
	}

	/**
	 * Method 'getDfase01'.
	 * 
	 * @return String
	 */

	public String getDfase01() {
		return dfase01;
	}

	/**
	 * Method 'setDfase01'.
	 * 
	 * @param dfase01
	 *            String
	 * @return
	 */
	public void setDfase01(String dfase01) {
		this.dfase01 = dfase01;
	}

	/**
	 * Method 'getEfase01'.
	 * 
	 * @return String
	 */

	public String getEfase01() {
		return efase01;
	}

	/**
	 * Method 'setEfase01'.
	 * 
	 * @param efase01
	 *            String
	 * @return
	 */
	public void setEfase01(String efase01) {
		this.efase01 = efase01;
	}

	/**
	 * Method 'getcodPid01'.
	 * 
	 * @return Long
	 */

	public String getCodPid01() {
		return codPid01;
	}

	/**
	 * Method 'setcodPid01'.
	 * 
	 * @param codPid01
	 *            Long
	 * @return
	 */
	public void setCodPid01(String codPid01) {
		this.codPid01 = codPid01;
	}

	/**
	 * Method 'getTdocu01'.
	 * 
	 * @return String
	 */

	public String getTdocu01() {
		return tdocu01;
	}

	/**
	 * Method 'setTdocu01'.
	 * 
	 * @param tdocu01
	 *            String
	 * @return
	 */
	public void setTdocu01(String tdocu01) {
		this.tdocu01 = tdocu01;
	}

	/**
	 * Method 'getSitu01'.
	 * 
	 * @return String
	 */

	public String getSitu01() {
		return situ01;
	}

	/**
	 * Method 'setSitu01'.
	 * 
	 * @param situ01
	 *            String
	 * @return
	 */
	public void setSitu01(String situ01) {
		this.situ01 = situ01;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ CServ13: ").append(this.CServ13).append(" ]");
		result.append(", [ DServ13: ").append(this.DServ13).append(" ]");
		result.append(", [ EServ13: ").append(this.EServ13).append(" ]");
		result.append(", [ situ13: ").append(this.situ13).append(" ]");
		result.append(", [ ctipoe02: ").append(this.ctipoe02).append(" ]");
		result.append(", [ ctrami02: ").append(this.ctrami02).append(" ]");
		result.append(", [ dtipoe02: ").append(this.dtipoe02).append(" ]");
		result.append(", [ etipoe02: ").append(this.etipoe02).append(" ]");
		result.append(", [ situ02: ").append(this.situ02).append(" ]");
		result.append(", [ cfase01: ").append(this.cfase01).append(" ]");
		result.append(", [ dfase01: ").append(this.dfase01).append(" ]");
		result.append(", [ efase01: ").append(this.efase01).append(" ]");
		result.append(", [ situ01: ").append(this.situ01).append(" ]");
		result.append(", [ codPid01: ").append(this.codPid01).append(" ]");
		result.append(", [ tdocu01: ").append(this.tdocu01).append(" ]");

		result.append("}");
		return result.toString();
	}

}